org.apache.storm.starter

## Class BlobStoreAPIWordCountTopology.SplitSentence

- java.lang.Object
- - org.apache.storm.task.ShellBolt
  - - org.apache.storm.starter.BlobStoreAPIWordCountTopology.SplitSentence

- All Implemented Interfaces:
    Serializable, IBolt, IComponent, IRichBolt
  Enclosing class:
    BlobStoreAPIWordCountTopology

      public static class BlobStoreAPIWordCountTopology.SplitSentence
      extends ShellBolt
      implements IRichBolt

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.task.ShellBolt

      `HEARTBEAT_STREAM_ID, LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplitSentence()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `declareOutputFields(OutputFieldsDeclarer declarer)` Declare the output schema for all the streams of this topology.
    `Map<String,Object>` | `getComponentConfiguration()` Declare configuration specific to this component.

    - ### Methods inherited from class org.apache.storm.task.ShellBolt

      `changeChildCWD, cleanup, execute, prepare, setEnv, shouldChangeChildCWD`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.task.IBolt

      `cleanup, execute, prepare`

- - ### Constructor Detail

    - #### SplitSentence

          public SplitSentence()

  - ### Method Detail

    - #### declareOutputFields

          public void declareOutputFields(OutputFieldsDeclarer declarer)

      Description copied from interface: `IComponent`

      Declare the output schema for all the streams of this topology.

      Specified by:
        `declareOutputFields` in interface `IComponent`
      Parameters:
        `declarer` - this is used to declare output stream ids, output fields, and whether or not each output stream is a direct stream

    - #### getComponentConfiguration

          public Map<String,Object> getComponentConfiguration()

      Description copied from interface: `IComponent`

      Declare configuration specific to this component. Only a subset of the “topology.*” configs can be overridden. The component configuration can be further overridden when constructing the topology using `TopologyBuilder`

      Specified by:
        `getComponentConfiguration` in interface `IComponent`

Copyright © 2021 The Apache Software Foundation. All rights reserved.